MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022968Community[OCCT] OCCT:Modeling Algorithmspublic2012-02-01 20:252012-03-29 17:26
ReporterRoberto Ciarloni 
Assigned Tobugmaster 
PriorityurgentSeverityintegration request 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.5.1 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022968: RebuildShape exchanges 2d-curves
DescriptionIn case of a seam of REVERSED oriented TopoDS_Face, RebuildShape in ShapeUpgrade_RemoveLocations.cxx exchange the position of 2d-curves in the BRep_TEdge
Steps To ReproduceBRepBuilderAPI_Transform builderTransform(Trsf);
builderTransform.Perform (sol, true);
ShapeUpgrade_RemoveLocations sh_rem;
Standard_Boolean ret = sh_rem.Remove (builderTransform.Shape());
TopoDS_Solid sol = TopoDS::Solid(sh_rem.GetResult ())

where TopoDS_Solid sol is a cylinder
Additional information
and documentation updates
Fix in attachment
old code:
if(theNewFace.Orientation() == TopAbs_REVERSED)
  OrEdge = ( OrEdge == TopAbs_FORWARD ? TopAbs_REVERSED : TopAbs_FORWARD);
new code:
if(theFace.Orientation() == TopAbs_REVERSED)
  OrEdge = ( OrEdge == TopAbs_FORWARD ? TopAbs_REVERSED : TopAbs_FORWARD);
TagsNo tags attached.
Test case numberchl 934 S1
Attached Filescxx file icon ShapeUpgrade_RemoveLocations.cxx (9,666 bytes) 2012-02-01 20:25
docx file icon To_OCC-1_Contribution.docx (24,795 bytes) 2012-02-02 11:27
? file icon cylface.brep (1,238 bytes) 2012-02-09 17:01
? file icon testremoveloc.tcl (71 bytes) 2012-02-09 17:02
? file icon S1 (863 bytes) 2012-02-14 18:12

- Relationships

-  Notes
(0019343)
szy (administrator)
2012-02-02 11:28

Added additional file with description - To_OCC-1_Contribution.docx.
(0019491)
gka (developer)
2012-02-09 17:04

Added shape on which bug is reproduced and script to test
(0019492)
gka (developer)
2012-02-09 17:12

The fix is committed to http://svn/svn/occt/branches/OCC22968 [^]
(0019522)
mkv (tester)
2012-02-10 20:04

Dear BugMaster,
Workbench KAS:dev:mkv-22968-occt was created from SVN branch http://svn/svn/occt/branches/OCC22968 [^]
(and mkv-22968-products from trunk) and compiled on Linux platform.

There is compilation error in mkv-22968-occt:

Info : -------> SWDRAW_ShapeUpgrade.cxx
Error : Errors occured in Shell
/dn47/KAS/dev/mkv-22968-occt/src/SWDRAW/SWDRAW_ShapeUpgrade.cxx: In function 'Standard_Integer DT_SplitAngle(Draw_Interpretor&, Standard_Integer, const char**)':

/dn47/KAS/dev/mkv-22968-occt/src/SWDRAW/SWDRAW_ShapeUpgrade.cxx:453: error: 'PI' was not declared in this scope

Error : Failed : SWDRAW_ShapeUpgrade.cxx
Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:mkv-22968-occt:SWDRAW:source:SWDRAW_ShapeUpgrade.cxx
Info : -----------------------------------------------------------------
(0019525)
gka (developer)
2012-02-13 11:49

Minor correction PI on M_PI
(0019560)
apn (administrator)
2012-02-14 18:16

Dear BugMaster,
 Workbench KAS:dev:mkv-22968-occt was updated from SVN branch http://svn/svn/occt/branches/OCC22968 [^]
 (and mkv-22968-products from trunk) and compiled on Linux and Windows platforms.
 
 There are not regressions in mkv-22968-products regarding to KAS:dev:products-20120203-opt
 
Test case for this fix is chl 934 S1. It's OK.

 See results in /QADisk/occttests/results/KAS/dev/mkv-22968-products_13022012/lin
 See reference results in /QADisk/occttests/results/KAS/dev/products-20120203-opt_03022012/lin
 See test cases in /QADisk/occttests/tests/ED
(0019628)
bugmaster (administrator)
2012-02-17 15:30

Integrated into trunk of occt repository

Date: 2012-02-17 15:25:29 +0400 (Fri, 17 Feb 2012)
New Revision: 10505

Modified:
   trunk/src/SWDRAW/SWDRAW_ShapeUpgrade.cxx
   trunk/src/ShapeUpgrade/ShapeUpgrade_RemoveLocations.cxx

- Related Changesets
occt: master 982a90fc
Timestamp: 2012-02-17 11:25:29
Author: gka
Committer: bugmaster
Details ] Diff ]
0022968: RebuildShape exchanges 2d-curves
mod - src/ShapeUpgrade/ShapeUpgrade_RemoveLocations.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeUpgrade.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-02-01 20:25 Roberto Ciarloni New Issue
2012-02-01 20:25 Roberto Ciarloni Assigned To => jgv
2012-02-01 20:25 Roberto Ciarloni File Added: ShapeUpgrade_RemoveLocations.cxx
2012-02-02 07:34 abv Assigned To jgv => gka
2012-02-02 07:34 abv Status new => assigned
2012-02-02 10:37 bugmaster Project Open CASCADE => Community
2012-02-02 11:27 szy File Added: To_OCC-1_Contribution.docx
2012-02-02 11:28 szy Note Added: 0019343
2012-02-09 17:01 gka File Added: cylface.brep
2012-02-09 17:02 gka File Added: testremoveloc.tcl
2012-02-09 17:02 gka Status assigned => resolved
2012-02-09 17:03 gka Status resolved => reviewed
2012-02-09 17:04 gka Note Added: 0019491
2012-02-09 17:12 gka Note Added: 0019492
2012-02-10 20:04 mkv Note Added: 0019522
2012-02-10 20:05 mkv Status reviewed => assigned
2012-02-13 11:48 gka Status assigned => resolved
2012-02-13 11:49 gka Note Added: 0019525
2012-02-13 11:49 gka Status resolved => reviewed
2012-02-14 13:23 mkv Assigned To gka => apn
2012-02-14 15:01 apn Test case number => chl 934 S1
2012-02-14 18:12 apn File Added: S1
2012-02-14 18:16 apn Note Added: 0019560
2012-02-14 18:16 apn Status reviewed => tested
2012-02-17 15:30 bugmaster Assigned To apn => Roberto Ciarloni
2012-02-17 15:30 bugmaster Target Version => 6.5.3
2012-02-17 15:30 bugmaster Note Added: 0019628
2012-02-17 15:30 bugmaster Status tested => verified
2012-02-17 15:30 bugmaster Resolution open => fixed
2012-03-29 17:26 bugmaster Changeset attached => occt master 982a90fc


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker